## ppmtofb 0.27

=== Makefile ===
CC =		gcc
LOBS = 		-lnetpbm -lpopt

TREE = $(DESTDIR)/usr
# FHS/FSSTND; or /usr/local
MANTREE = $(TREE)/share/man
# FHS; for FSSTND or local, use $(TREE)/man

# Support these framebuffer formats:
#
# VIDEO_PLANES:             Noninterleaved bitplanes
# VIDEO_INTERLEAVED_PLANES: Amiga interleaved bitplanes (ilbm)
# VIDEO_PACKED_PIXELS:      Packed pixels (mfb, cfb[248])
# VIDEO_HAM:                Amiga HAM6/HAM8 video
# VIDEO_IPLAN2Px:           Atari interleaved bitplanes (iplan2p[248])
# VIDEO_VGA16:              IBM VGA 16 colors (vga_planes)
#
# Compile everything by default.

FORMATS = -DVIDEO_PLANES -DVIDEO_INTERLEAVED_PLANES -DVIDEO_HAM \
	  -DVIDEO_PACKED_PIXELS -DVIDEO_IPLAN2Px -DVIDEO_VGA16

CFLAGS = -O2 -g -Wall
#CFLAGS = -DDEBUG -g -Wall
INSTALL = install -o root -g root
SUIDBIN = -m4755

%.o: %.c
	$(CC) $(CFLAGS) $(FORMATS) -o $@ -c $<

all: ppmtofb

ppmtofb: ppmtofb.o encodeham.o colortables.o
	$(CC) -o $@ $^ $(LOBS)

ppmtofb.o: ppmtofb.c vga16.h version.h

version.h: debian/changelog
	@echo "#define VERSION \"`head -1 debian/changelog | sed -e 's/[^(]*(\([^)]*\).*/\1/'`\"" > version.h

root: ppmtofb
	chown root.root ppmtofb
	chmod u+s ppmtofb

install: 
	$(INSTALL) $(SUIDBIN) -s ppmtofb $(TREE)/bin/ppmtofb
	$(INSTALL) -m755 fbview.py $(TREE)/bin/fbview
	$(INSTALL) -m644 ppmtofb.1 $(MANTREE)/man1/ppmtofb.1
	$(INSTALL) -m644 fbview.1 $(MANTREE)/man1/fbview.1

clean:
	rm -f *.o ppmtofb version.h *~

distclean:
	rm -f *.o *~

.PHONY: root install clean distclean all

=== debian/changelog ===
ppmtofb (0.27) frozen unstable; urgency=high

  * Fix compilation problem on architectures without <sys/io.h>.
    (Closes: #59820)

 -- Chris Lawrence <lawrencc@debian.org>  Wed, 15 Mar 2000 18:41:15 -0600

ppmtofb (0.26) unstable; urgency=low

  * Update copyright location in binary to reflect the correct FHS
    location for woody+. (Closes: #58599)
  * Add build dependencies; update to Standards-Version 3.1.1.0

 -- Chris Lawrence <lawrencc@debian.org>  Sun, 20 Feb 2000 22:04:12 -0600

ppmtofb (0.25) unstable; urgency=low

  * fbview now supports BMP, PCX, TIFF and XPM via NetPBM (before, it
    would use "convert").
  * Standards-Version: 3.0.1.1

 -- Chris Lawrence <lawrencc@debian.org>  Thu,  9 Sep 1999 03:18:59 -0500

ppmtofb (0.24) unstable; urgency=low

  * Recompile against new libpopt-dev.

 -- Chris Lawrence <lawrencc@debian.org>  Sat, 17 Jul 1999 11:36:37 -0500

ppmtofb (0.23) unstable; urgency=low

  * Remove dependency on python-misc.  (Closes: #41344)
  * Apply patches from Gerd Knorr to make ppmtofb play nicely on Red Hat
    systems.

 -- Chris Lawrence <lawrencc@debian.org>  Fri, 16 Jul 1999 02:14:40 -0500

ppmtofb (0.22) unstable; urgency=low

  * fbview now accepts configuration files /etc/fbview.conf and
    ~/.fbview.conf; see /usr/doc/ppmtofb/examples/fbview.conf for an
    example configuration file.
  * Fixed delay to work correctly (before, the time taken to display the
    image was added to, not subtracted from, the delay period).
  * Actually updated the fbview man page.
  
 -- Chris Lawrence <lawrencc@debian.org>  Thu, 13 May 1999 00:09:15 -0500

ppmtofb (0.21) unstable; urgency=low

  * Fixed numerous bugs again; notably in planar and grayscale display.
  * Enhanced fbview to take lots of command line arguments; see man page
    for details.

 -- Chris Lawrence <lawrencc@debian.org>  Fri,  7 May 1999 02:03:33 -0500

ppmtofb (0.20) unstable; urgency=low

  * Set var.nonstd to 0 before initial FBIOPUT_VSCREENINFO ioctl; fixes a
    bug that stopped some depth changes from working after a HAM screen was
    displayed on an Amiga.
  * Fixed numerous stupid bugs in the HAM code.
  * HAM6 now works.  CBM's engineers decided to make HAM6 and HAM8 use
    different bitplane layouts; now ppmtofb takes account of it.
  * New options: --cutoff and --no-ham; both are HAM-specific.  See the
    man page for details.
  
 -- Chris Lawrence <lawrencc@debian.org>  Sat, 17 Apr 1999 04:05:35 -0500

ppmtofb (0.19) unstable; urgency=low

  * For some reason, the '-r' option would cause ppmtofb to seg fault (at
    least in VGA16 mode).  Simplifying a ?: expression seemed to fix the
    problem...

 -- Chris Lawrence <lawrencc@debian.org>  Tue, 13 Apr 1999 01:42:16 -0500

ppmtofb (0.18) unstable; urgency=low

  * Added "python-misc" to the Recommends list. (Closes: #35890)

 -- Chris Lawrence <lawrencc@debian.org>  Sun, 11 Apr 1999 04:26:32 -0500

ppmtofb (0.17) unstable; urgency=low

  * Sort colors in planar modes to put darkest colors toward the beginning
    of the palette (only when we can't allocate black).
  * Random dithering added for grayscale modes to reduce banding; must be
    enabled with new "-r" switch.
  * Changes to fbview to use random dithering in grayscale modes.
  * Automated version number handling in Makefile.

 -- Chris Lawrence <lawrencc@debian.org>  Fri,  9 Apr 1999 01:59:15 -0500

ppmtofb (0.16) unstable; urgency=low

  * Fixed lintian "executable-manpage" error.
  * Put correct date in version string (need to automate somehow).
  * Optimized DisplayImage() for VGA16 somewhat.
  * Removed a spurious fprintf() from ReadImage().
  * Reduced debugging clutter with verbose mode on.
  
 -- Chris Lawrence <lawrencc@debian.org>  Sun,  4 Apr 1999 04:59:20 -0500

ppmtofb (0.15) unstable; urgency=low

  * Corrected spelling of "relevant".
  * Added examples to the man page.
  * Added VGA16 framebuffer support based on Ben Pfaff's "bogl"
    implementation (4 bitplanes only).  Only built on i386 at present
    (although the kernel driver may work on Alpha as well).
  * Fixed numerous stupid bugs in fbview.
  * Added "Provides: ppmtoagafb", since it does, more or less.
  
 -- Chris Lawrence <lawrencc@debian.org>  Sat,  3 Apr 1999 22:37:47 -0600

ppmtofb (0.14) unstable; urgency=low

  * Modified debian/rules to do the suid stuff "correctly" (thanks to Joey
    Hess for pointing me in the right direction).
  * Fixed FORMATS in debian/rules (fixes #33986).
  * Use current depth of framebuffer instead of 8 as the default.  Based on
    a suggestion from Robert de Bath.
  * Bug#33802 (segfaults on 24 bpp display) was actually fixed in 0.13.
  * Fixed the help to include --stdin.

 -- Chris Lawrence <lawrencc@debian.org>  Thu, 18 Mar 1999 23:48:20 -0600

ppmtofb (0.13) unstable; urgency=low

  * Added (slightly) informative message for why vga16 framebuffers don't
    work (if you compile against 2.2 headers).
  * Updated VERSION string correctly.
  * Patches/notes from Robert de Bath:
    1. Allocate enough buffer memory when depth > 8
    2. Somehow ppmtofb wasn't installed suid root; fixed by using
       dh_suidregister and adding debian/suid
    3. #define RDB_DEBUG will disable VT controls for debugging purposes
  * Handle STATIC_PSEUDOCOLOR visuals with fix.grayscale; I don't know if
    any of these actually exist, but now it's supported (implies --grayscale).
  
 -- Chris Lawrence <lawrencc@debian.org>  Fri, 26 Feb 1999 00:06:55 -0600

ppmtofb (0.12) unstable; urgency=low

  * Disabled verbose flag in fbview's calls of ppmtofb
  * Various cleanups in fbview
  * Changes from before ppmto(aga)fb was a Debian package are now at the end of
    this changelog (as experimental).  I have no idea what the correct
    dates are, however.  Some guesses are in brackets.
  * Cleaned up and updated the README file.
  * Modified debian/rules to specify which framebuffer organizations
    should be built for particular architectures:


=== debian/control ===
Source: ppmtofb
Section: graphics
Priority: optional
Maintainer: Chris Lawrence <lawrencc@debian.org>
Standards-Version: 3.1.1.0
Build-Depends: debhelper, libpopt-dev, netpbm-dev

Package: ppmtofb
Architecture: any
Depends: ${shlibs:Depends}
Recommends: python-base (>= 1.5.2-4), netpbm, pnmtopng
Suggests: fbset, imagemagick
Conflicts: ppmtoagafb
Replaces: ppmtoagafb
Provides: ppmtoagafb
Description: Display netpbm graphics on framebuffer devices
 The ppmtofb package supports displaying netpbm-format graphics
 (PBM, PGM and PPM) on systems with framebuffer devices (available
 with 2.1 kernels on all platforms and 2.0 kernels on m68k).  With the
 separate fbview package, you can display virtually any picture format
 on any framebuffer.
 .
 ppmtofb supports virtually all framebuffer devices, including vesafb
 and the experimental VGA16 framebuffer for PCs.  On Amigas it can
 take advantage of the Hold and Modify (HAM) modes for virtual
 truecolor display.
 .
 This package was previously called "ppmtoagafb"; however, since it
 works with more framebuffers now the name "ppmtofb" was chosen.

=== debian/rules ===
#!/usr/bin/make -f
# Made with the aid of dh_make, by Craig Small -*- makefile -*-
# Sample debian/rules that uses debhelper. GNU copyright 1997 by Joey Hess.
# Some lines taken from debmake, by Cristoph Lameter.

# Uncomment this to turn on verbose mode.
#export DH_VERBOSE=1

# IPLAN2Px is Atari-only
# All other modes besides packed pixels only happen on Amiga and Atari
# VGA16 only happens on Intel and Alpha

architecture:=$(shell dpkg --print-architecture)
ifeq ($(strip $(architecture)),m68k)
FORMATS:=-DVIDEO_PLANES -DVIDEO_INTERLEAVED_PLANES -DVIDEO_HAM \
	 -DVIDEO_PACKED_PIXELS -DVIDEO_IPLAN2Px
else
ifeq ($(strip $(architecture)),powerpc)
FORMATS:=-DVIDEO_PLANES -DVIDEO_INTERLEAVED_PLANES -DVIDEO_HAM \
	 -DVIDEO_PACKED_PIXELS
else
ifeq ($(strip $(architecture)),i386)
FORMATS:=-DVIDEO_PACKED_PIXELS -DVIDEO_VGA16
else
ifeq ($(strip $(architecture)),alpha)
FORMATS:=-DVIDEO_PACKED_PIXELS -DVIDEO_VGA16
else
FORMATS:=-DVIDEO_PACKED_PIXELS
endif
endif
endif
endif


build: build-stamp
build-stamp:
	dh_testdir

	# Add here commands to compile the package.
	$(MAKE) CFLAGS="-O2 -g -Wall" FORMATS="$(FORMATS)"

	touch build-stamp

clean:
	dh_testdir
	dh_testroot
	rm -f build-stamp debian/post*.debhelper

	# Add here commands to clean up after the build process.
	-$(MAKE) clean

	dh_clean

# Build architecture-independent files here.
binary-indep: build
# We have nothing to do by default.

# Build architecture-dependent files here.
binary-arch: build
#	dh_testversion
	dh_testdir
	dh_testroot
	dh_clean -k
	dh_installdirs

	# Add here commands to install the files into debian/tmp
	$(MAKE) install DESTDIR=`pwd`/debian/tmp

	dh_installdocs
	dh_installexamples fbview.conf
	dh_installmenu
#	dh_installinit
	dh_installcron
	dh_installmanpages
#	dh_undocumented
	dh_installchangelogs
	dh_strip
	dh_compress
	dh_fixperms -Xusr/bin/ppmtofb
	dh_suidregister
	dh_installdeb
	dh_shlibdeps
	dh_gencontrol
#	dh_makeshlibs
	dh_md5sums
	dh_builddeb

source diff:                                                                  
	@echo >&2 'source and diff are obsolete - use dpkg-source -b'; false

binary: binary-indep binary-arch
.PHONY: build clean binary-indep binary-arch binary

## ppmtofb 0.31

=== debian/changelog ===
ppmtofb (0.31) unstable; urgency=low

  * Remove recommendation for python-base.  (Closes: #124013)

 -- Chris Lawrence <lawrencc@debian.org>  Sun,  3 Mar 2002 02:41:05 -0600

ppmtofb (0.30) unstable; urgency=low

  * Updated control file for python repackaging.  (Closes: #119210)
  * Updated debian/rules to DH_COMPAT=3
  * Cleaned up the changelog a bit.
  * Added home page URL to control file.

 -- Chris Lawrence <lawrencc@debian.org>  Sun, 18 Nov 2001 22:42:10 -0600

ppmtofb (0.29) unstable; urgency=low

  * Corrected manpage for fbview.  (Closes: #103185)  Thanks to Stephen
    Stafford for a patch.

 -- Chris Lawrence <lawrencc@debian.org>  Sun,  8 Jul 2001 23:55:02 -0500

ppmtofb (0.28) unstable; urgency=low

  * Rebuild against new libnetpbm9 library.
  * Update to Standards-Version 3.5.0.0, including $DEB_BUILD_OPTIONS
    support.
  * #include <string.h> to avoid several compiler warnings.
  * Cleanup all -Wall errors.
  
 -- Chris Lawrence <lawrencc@debian.org>  Sun, 18 Mar 2001 23:46:25 -0600

=== debian/control ===
Source: ppmtofb
Section: graphics
Priority: optional
Maintainer: Chris Lawrence <lawrencc@debian.org>
Standards-Version: 3.5.0.0
Build-Depends: debhelper (>= 2.2.0), libpopt-dev, libnetpbm9-dev

Package: ppmtofb
Architecture: any
Depends: ${shlibs:Depends}
Recommends: python, netpbm
Suggests: fbset, imagemagick
Conflicts: ppmtoagafb, python (>> 2.3)
Replaces: ppmtoagafb
Provides: ppmtoagafb
Description: Display netpbm graphics on Linux framebuffer devices
 The ppmtofb package supports displaying netpbm-format graphics (PBM,
 PGM and PPM) on Linux systems with framebuffer devices (available
 with 2.1 kernels on all platforms and 2.0 kernels on m68k).  With the
 included fbview program, you can display virtually any picture format
 on any framebuffer.
 .
 ppmtofb supports virtually all framebuffer devices, including vesafb
 and the VGA16 framebuffer for PCs.  On Amigas it can take advantage
 of the Hold and Modify (HAM) modes for virtual truecolor display on
 both standard and AGA systems.
 .
 Home Page: http://www.lordsutch.com/chris/ppmtofb.html

## ppmtofb 0.32

=== Makefile ===
--- 
+++ 
@@ -1,5 +1,5 @@
 CC =		gcc
-LOBS = 		-lnetpbm -lpopt
+LOBS = 		-lpnm -lppm -lpgm -lpbm -lpopt
 
 TREE = $(DESTDIR)/usr
 # FHS/FSSTND; or /usr/local
@@ -20,7 +20,7 @@
 FORMATS = -DVIDEO_PLANES -DVIDEO_INTERLEAVED_PLANES -DVIDEO_HAM \
 	  -DVIDEO_PACKED_PIXELS -DVIDEO_IPLAN2Px -DVIDEO_VGA16
 
-CFLAGS = -O2 -g -Wall
+CFLAGS = -O2 -g -Wall -I.
 #CFLAGS = -DDEBUG -g -Wall
 INSTALL = install -o root -g root
 SUIDBIN = -m4755

=== debian/changelog ===
ppmtofb (0.32) unstable; urgency=low

  * Patches from Nick Estes to make the --framebuffer option work, add
    support for the devfs names, and a new switch to select the virtual
    console to use.
  * Make installable with Python 2.3.

 -- Chris Lawrence <lawrencc@debian.org>  Sun, 10 Aug 2003 20:13:58 -0400

=== debian/control ===
--- 
+++ 
@@ -2,15 +2,15 @@
 Section: graphics
 Priority: optional
 Maintainer: Chris Lawrence <lawrencc@debian.org>
-Standards-Version: 3.5.0.0
-Build-Depends: debhelper (>= 2.2.0), libpopt-dev, libnetpbm9-dev
+Standards-Version: 3.5.10
+Build-Depends: debhelper (>> 4), libpopt-dev, libnetpbm9-dev
 
 Package: ppmtofb
 Architecture: any
 Depends: ${shlibs:Depends}
 Recommends: python, netpbm
 Suggests: fbset, imagemagick
-Conflicts: ppmtoagafb, python (>> 2.3)
+Conflicts: ppmtoagafb, python (>> 2.4)
 Replaces: ppmtoagafb
 Provides: ppmtoagafb
 Description: Display netpbm graphics on Linux framebuffer devices

=== debian/rules ===
--- 
+++ 
@@ -2,6 +2,8 @@
 # Made with the aid of dh_make, by Craig Small -*- makefile -*-
 # Sample debian/rules that uses debhelper. GNU copyright 1997 by Joey Hess.
 # Some lines taken from debmake, by Cristoph Lameter.
+
+export DH_COMPAT=3
 
 # Uncomment this to turn on verbose mode.
 #export DH_VERBOSE=1
@@ -31,13 +33,17 @@
 endif
 endif
 
+CFLAGS = -O2 -Wall -I.
+ifneq (,$(findstring debug,$(DEB_BUILD_OPTIONS)))
+CFLAGS += -g
+endif
 
 build: build-stamp
 build-stamp:
 	dh_testdir
 
 	# Add here commands to compile the package.
-	$(MAKE) CFLAGS="-O2 -g -Wall" FORMATS="$(FORMATS)"
+	$(MAKE) CFLAGS="$(CFLAGS)" FORMATS="$(FORMATS)"
 
 	touch build-stamp
 
@@ -63,8 +69,8 @@
 	dh_clean -k
 	dh_installdirs
 
-	# Add here commands to install the files into debian/tmp
-	$(MAKE) install DESTDIR=`pwd`/debian/tmp
+	# Add here commands to install the files into debian/ppmtofb
+	$(MAKE) install DESTDIR=`pwd`/debian/ppmtofb
 
 	dh_installdocs
 	dh_installexamples fbview.conf
@@ -77,7 +83,6 @@
 	dh_strip
 	dh_compress
 	dh_fixperms -Xusr/bin/ppmtofb
-	dh_suidregister
 	dh_installdeb
 	dh_shlibdeps
 	dh_gencontrol

## ppmtofb 0.32-0.1

=== Makefile ===
--- 
+++ 
@@ -43,7 +43,7 @@
 	chmod u+s ppmtofb
 
 install: 
-	$(INSTALL) $(SUIDBIN) -s ppmtofb $(TREE)/bin/ppmtofb
+	$(INSTALL) $(SUIDBIN) ppmtofb $(TREE)/bin/ppmtofb
 	$(INSTALL) -m755 fbview.py $(TREE)/bin/fbview
 	$(INSTALL) -m644 ppmtofb.1 $(MANTREE)/man1/ppmtofb.1
 	$(INSTALL) -m644 fbview.1 $(MANTREE)/man1/fbview.1

=== debian/changelog ===
ppmtofb (0.32-0.1) unstable; urgency=low

  * Non-maintainer upload.
  * Fix encoding of debian/changelog (lenny release goal). Closes: #454003
  * While we're at it, use "Homepage:" in debian/control
  * Do not strip binaries when installing, in Makefile so that building with
    notrip works. Closes: 437786
  * s/copyright/Copyright in the copyright file (thanks, lintian)
  * Do not ignore errors by "make clean" in the clean target

 -- Christian Perrier <bubulle@debian.org>  Sat, 09 Feb 2008 11:38:11 +0100

=== debian/control ===
--- 
+++ 
@@ -4,6 +4,7 @@
 Maintainer: Chris Lawrence <lawrencc@debian.org>
 Standards-Version: 3.5.10
 Build-Depends: debhelper (>> 4), libpopt-dev, libnetpbm9-dev
+Homepage: http://www.lordsutch.com/chris/ppmtofb.html
 
 Package: ppmtofb
 Architecture: any
@@ -24,5 +25,3 @@
  and the VGA16 framebuffer for PCs.  On Amigas it can take advantage
  of the Hold and Modify (HAM) modes for virtual truecolor display on
  both standard and AGA systems.
- .
- Home Page: http://www.lordsutch.com/chris/ppmtofb.html

=== debian/rules ===
--- 
+++ 
@@ -53,7 +53,7 @@
 	rm -f build-stamp debian/post*.debhelper
 
 	# Add here commands to clean up after the build process.
-	-$(MAKE) clean
+	[ ! -f Makefile ] || $(MAKE) clean
 
 	dh_clean
